Get a one-time barcode discount
Returns one one-time barcode discount by `id`. Requires `Permissions.Promotions.View`.
GET
Bearerheader
AuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
id*integerFormat
int32application/json- response
barcode?stringLength
length <= 50createdAt?|Format
date-timeid?integerFormat
int32isInvalid?booleanlastModify?|Format
date-timereceiptDiscountAmount?|Format
decimalreceiptDiscountCompanyId?|Format
int32receiptDiscountLimit?|Format
decimalreceiptDiscountMinimalAmount?|Format
decimalreceiptDiscountPercent?|Format
decimalvalidFrom?|Format
date-timevalidTo?|Format
date-timecurl -X GET 'https://<your-instance>/api/promotions/one-time-barcode-activated/0' \ -H 'Authorization: Bearer <access-token>'{ "barcode": "string", "createdAt": "2019-08-24T14:15:22Z", "id": 0, "isInvalid": true, "lastModify": "2019-08-24T14:15:22Z", "receiptDiscountAmount": 0, "receiptDiscountCompanyId": 0, "receiptDiscountLimit": 0, "receiptDiscountMinimalAmount": 0, "receiptDiscountPercent": 0, "validFrom": "2019-08-24T14:15:22Z", "validTo": "2019-08-24T14:15:22Z"}Create a one-time barcode discount POST
Creates a one-time barcode discount and returns the stored row. Requires `Permissions.Promotions.Create`.
Update a one-time barcode discount PUT
Replaces the one-time barcode discount identified by `id` and returns the stored row. Requires `Permissions.Promotions.Update`.